import { createVNode as u, defineComponent as $, inject as S, computed as f, toRef as p, provide as z } from "vue";
const x = "G", w = {
  modelValue: {
    type: Boolean,
    default: null
  },
  label: {
    type: String,
    default: ""
  },
  name: {
    type: String,
    default: ""
  },
  color: {
    type: String,
    default: void 0
  },
  disabled: {
    type: Boolean,
    default: !1
  },
  beforeChange: {
    type: Function,
    default: void 0
  }
}, L = {
  ...w,
  modelValue: {
    type: Array,
    default: [],
    required: !0
  },
  direction: {
    type: String,
    default: "column"
  }
}, k = Symbol(`${x}CheckBoxGroup`), P = () => u("svg", {
  class: "icon",
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg",
  "p-id": "15487",
  width: "16px",
  height: "16px"
}, [u("path", {
  d: "M170.666667 85.333333C123.733333 85.333333 85.333333 123.733333 85.333333 170.666667L85.333333 853.333333C85.333333 900.266667 123.733333 938.666667 170.666667 938.666667L853.333333 938.666667C900.266667 938.666667 938.666667 900.266667 938.666667 853.333333L938.666667 170.666667C938.666667 123.733333 900.266667 85.333333 853.333333 85.333333L170.666667 85.333333zM170.666667 170.666667 853.333333 170.666667 853.333333 853.333333 170.666667 853.333333 170.666667 170.666667zM256 256 256 768 768 768 768 256 256 256z",
  "p-id": "15488"
}, null)]), M = () => u("svg", {
  class: "icon",
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg",
  "p-id": "24735",
  width: "16px",
  height: "16px"
}, [u("path", {
  d: "M800.188 92.094H223.813c-72.47 0-131.72 59.25-131.72 131.719v576.375c0 72.468 59.25 131.718 131.72 131.718h576.375c72.468 0 131.718-59.25 131.718-131.718V223.813c0-72.47-59.25-131.72-131.718-131.72z m55.406 655.687c0 59.25-48.469 107.813-107.813 107.813H276.22c-59.25 0-107.813-48.469-107.813-107.813V276.22c0-59.25 48.469-107.813 107.813-107.813H747.78c59.25 0 107.813 48.469 107.813 107.813V747.78z",
  "p-id": "24736"
}, null)]);
const V = "g";
function g(e, l, t) {
  let c = e;
  return l && (c += `__${l}`), t && (c += `--${t}`), c;
}
function B(e, l = !1) {
  const t = l ? `.${V}-${e}` : `${V}-${e}`;
  return {
    b: () => g(t),
    e: (o) => o ? g(t, o) : "",
    m: (o) => o ? g(t, "", o) : "",
    em: (o, i) => o && i ? g(t, o, i) : ""
  };
}
const h = /* @__PURE__ */ $({
  name: `${x}CheckBox`,
  props: w,
  emits: ["change", "update:modelValue"],
  setup(e, {
    emit: l,
    slots: t
  }) {
    return () => {
      const c = B("check-box"), n = S(k, null), r = f(() => (n == null ? void 0 : n.disabled.value) || e.disabled), s = f(() => (n == null ? void 0 : n.isItemChecked(e.label)) || e.modelValue), o = f(() => `${c.b()} ${s.value ? "active" : ""} ${r.value ? "disabled" : ""}`), i = f(() => {
        const a = (n == null ? void 0 : n.color.value) || e.color;
        return a ? `fill: ${a}` : "";
      }), d = (a, b) => {
        if (r.value)
          return Promise.resolve(!1);
        const y = (n == null ? void 0 : n.beforeChange) || e.beforeChange;
        if (y) {
          const C = y(a, b);
          return typeof C == "boolean" ? Promise.resolve(C) : C;
        }
        return Promise.resolve(!0);
      }, v = async () => {
        const a = !s.value;
        d(a, e.label).then((b) => {
          b && (n == null || n.toggleGroupVal(e.label), l("change", a), l("update:modelValue", a));
        });
      };
      return u("label", {
        class: o.value
      }, [u("input", {
        type: "checkbox",
        class: c.e("input"),
        onChange: v,
        name: e.name,
        value: e.label,
        disabled: r.value,
        checked: s.value
      }, null), u("span", {
        class: c.e("icon"),
        style: i.value
      }, [s.value ? u(P, null, null) : u(M, null, null)]), t.default ? t.default() : e.label]);
    };
  }
});
const m = /* @__PURE__ */ $({
  name: `${x}CheckBoxGroup`,
  props: L,
  emits: ["change", "update:modelValue"],
  setup(e, {
    emit: l,
    slots: t
  }) {
    const c = B("check-box-group"), n = p(e, "modelValue"), r = (d) => {
      const v = n.value.findIndex((a) => a === d);
      if (v === -1) {
        const a = [...n.value, d];
        l("change", a), l("update:modelValue", a);
        return;
      }
      n.value.splice(v, 1), l("change", n.value), l("update:modelValue", n.value);
    }, s = (d) => n.value.includes(d);
    z(k, {
      disabled: p(e, "disabled"),
      color: p(e, "color"),
      beforeChange: e.beforeChange,
      toggleGroupVal: r,
      isItemChecked: s
    });
    const o = {
      row: "is-row",
      column: "is-column"
    }, i = f(() => `${c.b()} ${o[e.direction]}`);
    return () => u("div", {
      class: i.value
    }, [t.default && t.default()]);
  }
});
h.install = function(e, l) {
  e.component(l || h.name, h);
};
m.install = function(e, l) {
  e.component(l || m.name, m);
};
const A = {
  title: "CheckBox 多选框",
  category: "数据描述",
  status: "100%",
  install(e) {
    e.component(h.name, h), e.component(m.name, m);
  }
};
export {
  h as CheckBox,
  m as CheckBoxGroup,
  A as default
};
