import { createVNode as u, defineComponent as L, ref as y, computed as w } from "vue";
const N = {
  modelValue: {
    type: Number,
    default: 0
  },
  // todo 替换为 disabled
  readOnly: {
    type: Boolean,
    default: !1
  },
  count: {
    type: Number,
    default: 5
  },
  color: {
    type: String,
    default: ""
  },
  allowHalf: {
    type: Boolean,
    default: !1
  },
  onChange: {
    type: Function,
    default: void 0
  },
  onTouched: {
    type: Function,
    default: void 0
  }
}, S = () => u("svg", {
  class: "icon",
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg",
  "p-id": "1389",
  width: "16px",
  height: "16px"
}, [u("path", {
  d: "M979.444 404.205c-3.597-11.189-13.188-18.681-23.977-20.28l-288.119-41.76L538.674 81.022c-4.895-9.89-14.985-16.584-26.674-16.584-11.788 0-21.779 6.793-26.674 16.584L356.652 342.166l-288.219 41.76c-10.79 1.598-20.38 9.19-23.976 20.28-3.697 11.188-0.3 22.877 7.492 30.47l208.397 203.4-49.152 286.92c-1.798 10.69 2.298 22.179 11.788 28.972s21.68 7.293 31.37 2.198L512.1 820.798l257.648 135.168c9.79 5.095 21.779 4.596 31.27-2.197a29.5 29.5 0 0 0 11.788-28.972l-49.252-286.92 208.397-203.201a29.663 29.663 0 0 0 7.493-30.47z",
  "p-id": "1390"
}, null)]);
const g = "g";
function p(t, c, a) {
  let o = t;
  return c && (o += `__${c}`), a && (o += `--${a}`), o;
}
function V(t, c = !1) {
  const a = c ? `.${g}-${t}` : `${g}-${t}`;
  return {
    b: () => p(a),
    e: (l) => l ? p(a, l) : "",
    m: (l) => l ? p(a, "", l) : "",
    em: (l, d) => l && d ? p(a, l, d) : ""
  };
}
const b = "G", m = /* @__PURE__ */ L({
  name: `${b}Rate`,
  props: N,
  emits: ["change", "update:modelValue"],
  setup(t, {
    emit: c,
    slots: a
  }) {
    const o = V("rate"), r = y(t.modelValue), i = y(new Array(t.count).fill({
      width: "0%"
    })), f = (n) => {
      const e = n % 1 > 0, s = e ? n - 0.5 : n - 1;
      i.value.map((B, v) => {
        s >= v ? i.value[v] = {
          width: e && s === v ? "50%" : "100%"
        } : i.value[v] = {
          width: 0
        };
      });
    };
    f(r.value);
    const l = (n) => {
      const e = n.target;
      return t.allowHalf && n.offsetX * 2 <= e.clientWidth;
    }, d = (n, e) => {
      t.readOnly || (e = l(n) ? e + 0.5 : e + 1, f(e));
    }, C = (n, e) => {
      t.readOnly || (e = l(n) ? e + 0.5 : e + 1, f(e), r.value = e, c("update:modelValue", e), c("change", e));
    }, h = w(() => a.default ? a.default() : S()), $ = () => i.value.map((n, e) => u("div", {
      class: o.e("icon"),
      onMousemove: (s) => {
        d(s, e);
      },
      onClick: (s) => {
        C(s, e);
      }
    }, [u("span", null, [h.value]), u("span", {
      class: o.m("active"),
      style: {
        width: n.width,
        color: t.color,
        fill: t.color
      }
    }, [h.value])])), O = w(() => ({
      [o.b()]: !0,
      [o.m("read-only")]: t.readOnly
    }));
    return () => u("div", {
      class: O.value,
      onMouseleave: () => {
        f(r.value);
      }
    }, [$(), u("div", {
      class: o.e("info")
    }, [a.info && a.info(r.value)])]);
  }
});
m.install = function(t, c) {
  t.component(c || m.name, m);
};
const H = {
  title: "Rate 评分",
  category: "数据描述",
  status: "100%",
  install(t) {
    t.component(m.name, m);
  }
};
export {
  m as Rate,
  H as default
};
